Kontakt 5.6 not adding newer libraries

Discussion in 'Kontakt' started by minimoog, Nov 9, 2018.

  1. minimoog

    minimoog Newbie

    Joined:
    Aug 14, 2012
    Messages:
    5
    Likes Received:
    1
    Hi everybody, my first post here.
    Maybe I’m just inexpert but here it is: I can’t add newer libraries (the ones created as 5.6.8 minimum requirement) to Kontakt 5.6 (that I use just to add libraries, having Kontakt 6 to work with them).
    If I try to add Electric Sunburst or Middle East or Orchestral Swarm for example, 5.6 tells me the library has been added but they don't show up in the tabs, even if the Service Center add the xml files. Consequently Kontakt 6 will tell me that the library has not been added even if I try to open single instruments from the files tab.
    What am I missing? Any help will be much appreciated!
     
  2.  
  3. wasgedn

    wasgedn Rock Star

    Joined:
    Nov 9, 2014
    Messages:
    905
    Likes Received:
    310
    Location:
    Germany
    need newer kontakt version for new libary....apple tactics
     
  4. Daskeladden

    Daskeladden Kapellmeister

    Joined:
    Jan 7, 2018
    Messages:
    146
    Likes Received:
    48
    edit:
    never mind since you're on mac I cannot help you
     
    Last edited: Nov 10, 2018 at 2:11 PM
  5. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    Are you on windows or mac?
    As in windows there's no such an issue, I answer my own question :bleh:, supposing you are on mac.
    If the .xml file is created in Service Center that's something, a good start, a light from the end of the tunnel, the first steps of a child, a timid cloud in the desert, the first listeners of your new album, the first likes and shares of your facebook post... ok, screw FB.

    So, did you check the SNPID number in the .xml file and did you change the three zeros to the code written in the .nicnt file of the library?
     
  6. Iggy

    Iggy Platinum Record

    Joined:
    Jun 21, 2011
    Messages:
    822
    Likes Received:
    277
    Try using v5.6.6 -- that's the last version around that's able to add libraries. Earlier versions of v5.6 seem to have issues with adding the more recent libraries. I haven't had a problem (yet).
     
  7. minimoog

    minimoog Newbie

    Joined:
    Aug 14, 2012
    Messages:
    5
    Likes Received:
    1
    Thanks everybody.
    I’m on Mac, I will try to use 5.6.6. I already tried to change the three 0’s in the xml files, but nothing worked so far.
     
  8. wasgedn

    wasgedn Rock Star

    Joined:
    Nov 9, 2014
    Messages:
    905
    Likes Received:
    310
    Location:
    Germany
    wasnt it 5.52 (or was it 5.56 pls confirm)for old stuff...another install lets say 5.8 and now another install latest kontakt 6
     
    Last edited: Nov 10, 2018 at 2:19 PM
  9. wasgedn

    wasgedn Rock Star

    Joined:
    Nov 9, 2014
    Messages:
    905
    Likes Received:
    310
    Location:
    Germany
    can i use old libarys like scarbee pre bass in kontakt 5.8 ?
     
  10. vector99

    vector99 Kapellmeister

    Joined:
    Oct 23, 2015
    Messages:
    168
    Likes Received:
    62
    you cant use old kontakt with new libraries .
     
  11. wasgedn

    wasgedn Rock Star

    Joined:
    Nov 9, 2014
    Messages:
    905
    Likes Received:
    310
    Location:
    Germany
    yes...but can i use old libs in latest kontakt 5
     
  12. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    Yes, old libraries should work in latest Kontakt. The problem happens only if the library didn't include a .nicnt file.
     
  13. Iggy

    Iggy Platinum Record

    Joined:
    Jun 21, 2011
    Messages:
    822
    Likes Received:
    277
    I'm using Scarbee Pre-Bass in Kontakt 6 with no problems. In fact, I've only had issues with three libraries since Kontakt 5.6.6: Akoustik and Elektrik Piano, which aren't recognized in any version as of 5.6.8, no matter what I do, and Scarbee Jay-Bass. Scarbee Jay-Bass can actually be loaded from the File menu and works great, but can't be added as a library, not even in v5.6.6 (I think it has something to do with the way the instrument is set up). Everything else I own works flawlessly.

    To the OP: if you manage to get v5.6.6 working, batch resave all your libraries in v5.6.6, then batch resave them again once they all show up in 6.
     
  14. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    Careful with that! Batch re-saving to version 6 means, you can't ever load your libraries in Kontakt 5. Let's say, you had an old project in DAW that would load Kontakt 5 plugin, and you carefully maintained this plugin on your computer. The DAW will open that Kontakt 5 but would fail opening the instruments that are saved for newer version. Kontakt 6 has different plugin from 5.
     
    • Like Like x 1
    • Winner Winner x 1
    • List
  15. Neck

    Neck Newbie

    Joined:
    Mar 31, 2018
    Messages:
    1
    Likes Received:
    0
    I have version 5.6.5 and Scarbee Jay-Bass loaded just fine, no problem whatsoever - I just loaded it from the installer and it appeared; I wish I could help you with your issue.
     
  16. Iggy

    Iggy Platinum Record

    Joined:
    Jun 21, 2011
    Messages:
    822
    Likes Received:
    277
    No, the individual instruments load just fine, I just can't add it in my Library tab. Actually, what happens is, I created an .ninct file, I can add it to the Library tab in v5.6.6, then, it disappears the next time I open v5.6.6. And I can't see it at all in v6's Library tab. But you can load from the File menu and use it just fine in both 5.6.6 and 6, so the library itself is okay. It's something with the way I set it up as a library (both of the the instrument files in one folder, the folder named wrong, etc.). I've had weird problems with a couple of libraries that boiled down to putting stuff in folders that weren't supposed to be there, and once I moved a couple of things around, the issue went away. Probably the same thing here.

    I've spouted this off elsewhere, but Akoustik and Elektrik Piano are a different story -- they just stopped loading in any version after v5.6.6. I haven't tried them in v6 yet, but from 5.6.8 on up, they're invisible; they don't show up in the Library tab and Kontakt won't load them as instruments ("Not Installed") from the File menu. I've tried adding .ninct files (neither library has one, even though v5.6.6 on down will load them into the Library tab with their own wallpapers) and they still won't load. Back when this was an issue with v5.6.8, NI claimed it was a "bug" and said they were looking into it, but it wasn't fixed as of v5.8.3. NI has also released new piano libraries since then, so it might have been an issue of forcing users to buy the new libraries by making the older ones "incompatible".

    Well, that's pretty much the point of having v6 (or anything from v5.6.8 up). Most people only have 5.6.6 or lower around just to add libraries to the newer versions. If you're using older libraries with these newer versions and you don't batch re-save them, the OP's problem is exactly the kind of issue you end up with. I understand what you're saying, and it's true, but if you're going to use 5.6.8-v6, maybe you should consider splitting up your Kontakt library folder so that the more recent stuff can be batch re-saved (as your older Kontakt projects couldn't use those libraries, anyway) ... or do what I do, which is, go back to those older projects and just update them so they use Kontakt 6 instead. As the basic functionality of Kontakt 6 is the same as 5 -- the libraries load and play back in the exact same way -- it ultimately doesn't affect what I'm doing and it allows me to keep all my libraries usable in the latest version of Kontakt.
     
    Last edited: Nov 11, 2018 at 4:55 AM
  17. fiction

    fiction Platinum Record

    Joined:
    Jun 21, 2011
    Messages:
    1,109
    Likes Received:
    290
    Just make sure you keep the original instrument nki (or nkm or whatever is part of the set outside the samples), I do that by copying them to a new folder at the re-save destination.
    I've come to make it a habit since the transition to NI's closed format with the V4.2 version, although I rarely need it nowadays.
     
    • Agree Agree x 1
    • Love it! Love it! x 1
    • List
  18. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    There is something wrong with those home-made .nicnt files. How do you create them? Do you build it from an existing and working library and change/refill the corresponding lines to the new one and the name of the file? Do you write the exact same name in those lines that are the name of that .nicnt file? And other thing is that there are some codes in many of these original .nicnt files that Kontakt can detect referring to the name of the original library, that's the reason why you can't, for example, add an existing library with modified SNPID code, no matter how you do it, if there are strange caracters in the last paragraph, a binary code, it won't let you.
    Besides, libraries created by NI are especially tricky. And even worse about the newest ones created for K6, those can't be added without it's installer (if I recall well).

    Other thing is about those Akoustik and Elektrik piano libraries, as I already mentioned you this in other threads, these libraries were created as proprietary vst plugins by NI. Not Kontakt libraries. I don't know where you got yours from, I can't even find them (these Kontakt version) on the internet. I had the old plugin version, maybe I still have it somewhere.

    And about batch re-saving, why would it be needed to do so with the old libraries? other than loading time issues, if it occurs. Not required such a task to use them in version 6, at all.
     
    Last edited: Nov 11, 2018 at 7:19 PM
  19. Iggy

    Iggy Platinum Record

    Joined:
    Jun 21, 2011
    Messages:
    822
    Likes Received:
    277
    I've been using KLE to create .nicnt files, and it's worked flawlessly with every single library I've ever used it on (except for the three I mentioned), at least in v5.6.6, v5.6.8, v5.8.3 and now, v6. The problem with Scarbee Jay-Bass, as I mentioned before, is possibly due to some user-side error (while Scarbee Pre-Bass came with its own .nicnt and wallpaper, Jay-Bass didn't, which I assume there was a specific reason for).

    Don't know about any plugin version. The 1.5 versions of Akoustik and Elektrik Piano that I have are Kontakt libraries and they used to be included with Komplete. At some point -- I assume it's when Kontakt 5.6.8 came out -- NI dropped support for those libraries. They also released new acoustic and electric piano libraries "based on" Akoustik and Elektrik Piano that are now included with newer versions of Komplete. If you go to NI's site, there are quite a few people complaining about not being able to load or even use Akoustik and Elektrik Piano with Kontakt 5.6.8 onward, and NI's response is that it's some sort of a bug they were going to look into. Again, I haven't checked with v6, but as of v5.8.3, they still hadn't fixed it.

    Man, that's all on you. You don't want to batch re-save libraries, and you don't have any problems, just enjoy yourself. I was offering practical advice to the OP.
     
  20. minimoog

    minimoog Newbie

    Joined:
    Aug 14, 2012
    Messages:
    5
    Likes Received:
    1
    Ok, my problem is the exact opposite: I try to add newer libraries like Electric Sunburst or Middle East (that have 5.6.8 as the minimum WORKING version of Kontakt) on Kontakt 5.6.0, but it’s a no show.

    I tried to change snipd of the libraries and the weirdest thing happens: they show up once in 5.6.0 and then disappear on relaunch, while on 6.0.2 they keep on showing in the tabs but they are not actually working, cos I get a message telling me that I’m trying to open a library that is not installed yet

    I’m banging my head on the wall.

    Any Kontakt portable version for Mac???
     
  21. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    I checked now Electric Sunburst and Scarbee Jay-Bass and both works fine, I was able to add them.
    Sunburst had the SNPID code: K02 – So this one has to be edited in .xml instead of the zeros.
    Jay-Bass is old stuff, so it doesn't have the adding problem and its code is 415
    I can provide the nicnt files if you guys need it. PM me if necessary.

    Iggy and I have this battle between us for a while about which old Kontakt to use for adding process.
    I use Kontakt 5.6.0 and I suggest anyone choosing/using it, because 5.6.6 on my mac (and on many other commenters as well) always crashed and even ruined itself and didn't let me open again.
    Besides of 5.6.0 one other working option is 5.6.5.

    minimoog,
    That message that you see when trying to load the instrument in K6 I remember to have experienced when tried to add one of these new libraries with modified (different from the original) SNPID. Either the code differs between the .nicnt and the .xml file or you changed the code already in .nicnt which is wrong to do.
    One more thing that you should try:
    Close Kontakt first, then go to your_hard_drive/Library/Preferences and look for the com.native-instruments.<that library's name>.plist
    If it's not there, you may have Permission problems for this Preferences folder.
    If it's there, delete it. Also delete the .xml file in Library/Application Support/Native Instruments/Service Center
    Check if the SNPID code in the .nicnt file is similar to what I wrote here for those libraries.
    Then start the adding process again, opening 5.6.0 standalone app, add library, close this program. Write the correct SNPID number in the .xml (in case of Sunburst and Middle East or whatever has the three zeros for the code), save and close. Then open Kontakt 6 and you must have it appearing and loading fine.

    Edit: ah, you wanted Orchestral Swarm, Iggy mentioned Jay-bass. Ok. The SNPID code of Orchestral Swarm is P30
    And now I also found in a NativeAccess.xml for windows portable the code for Middle East: K01
     
    Last edited: Nov 12, 2018 at 12:22 AM
Loading...
Similar Threads - Kontakt adding newer Forum Date
Adding Libraries under Kontakt 6.0.2 Kontakt Saturday at 4:25 PM
Kontakt 5.6.6 suddenly stopped working (using just for adding libraries) Kontakt Oct 7, 2018
Cracked Kontakt 5 keeps crashing when adding a library Kontakt Jul 21, 2018
Kontakt - adding multiple libs at once-new version Kontakt Feb 13, 2018
Adding many Kontakt libraries at once Kontakt Oct 17, 2016
Loading...